#!/bin/sh

do_pre_upgrade()
{
    rm -rf "$MINIM_TEMP_DIR"
    mkdir -p "$MINIM_TEMP_DIR"
    if [ -d "$APKG_PKG_DIR/libext" ]; then
        mv "$APKG_PKG_DIR/libext" "$MINIM_TEMP_DIR"
    fi
    if [ -d "$APKG_PKG_DIR/libsys" ]; then
        mv "$APKG_PKG_DIR/libsys" "$MINIM_TEMP_DIR"
    fi
}

MINIM_TEMP_DIR="$APKG_TEMP_DIR/../${APKG_PKG_NAME}_temp"

case "$APKG_PKG_STATUS" in
    install)
        ;;
    upgrade)
        do_pre_upgrade
        ;;
    *)
        ;;
esac

exit 0

